crosshurd (1.7.65) unstable; urgency=low

  [ Ralph Ronnquist ]
  * Add crosshurd-image script.

  [ Samuel Thibault ]
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 13 Mar 2026 19:24:56 +0100

crosshurd (1.7.64) unstable; urgency=medium

  * Re-upload without the spurious hurd.img file (Closes: Bug#1109723)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Jul 2025 15:56:13 +0200

crosshurd (1.7.63) unstable; urgency=medium

  [ Samuel Thibault ]
  * makehurddir.sh: Force installing more libraries.
  * control: Depend on debian-ports-archive-keyring (Closes: Bug#1103976)
  * native-install/native-install: Also unpack by hand important packages.
  * native-install/native-install: Fix fstab generation with newer ext2fs
    translator show-up.
  * native-install/native-install: Note that rebooting can be done with
    reboot-hurd.
  * packages/gnu: Make sure to have a sysvinit init
  * native-install/native-install: Advise to set a root password.
  * packages/common: Also install ifupdown by default.
  * makehurddir.sh: Drop usr-merging /lib and /sbin. /bin still pending.
  * packages/*gnu: Also install debian-ports-archive-keyring to be able to apt
    after installation.
  * packages/common: Also install whiptail for nicer debconf interface.

  [ Martin-Éric Racine ]
  * Migrate to deb822 format.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 May 2025 16:42:00 +0200

crosshurd (1.7.62) unstable; urgency=medium

  [ Samuel Thibault ]
  * Force extracting libc0.3
  * Merge /usr by hand
  * Simplify unpacking and linking gnumach
  * Fix hurd-amd64 gnumach package name
  * Add more dependencies in required set
  * Add crosshurd CI

  [ João ]
  * README.gnu: Provide grub example.
  * makehurddir.sh: Force-install more dependency libraries.
  * native-install/native-install: Use showtrans to detect /proc and
    /dev/console. Update to usr-merge.
  * packages/gnu: Force installing libc-bin.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Dec 2024 01:35:17 +0100

crosshurd (1.7.61) unstable; urgency=medium

  * Update to -up gnumach kernels. Closes: Bug#1071694.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 23 May 2024 23:39:38 +0200

crosshurd (1.7.60) unstable; urgency=medium

  * Closes: #1038764.
  * packages/gnu: Drop oldish cardmgr-gnumach and wireless-tools-gnumach.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 30 Jun 2023 09:46:24 +0200

crosshurd (1.7.59) unstable; urgency=medium

  * makehurddir.sh: Add /servers/startup.
  * packages/gnu: Add netdde.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 May 2023 23:00:38 +0200

crosshurd (1.7.58) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.
  * functions, native-install/native-install: Add IPv6 sockets on Hurd.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Update lintian override info to new format on line 2.
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 22:21:07 +0100

crosshurd (1.7.57) unstable; urgency=medium

  [ Samuel Thibault ]
  * source/format: Set format to native.
  * crosshurd.lintian-overrides: Silence some warning.
  * control: Bump Standards-Version to 4.5.0 (no change).

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Upgrade to newer source format 3.0 (native).
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Nov 2020 01:36:57 +0100

crosshurd (1.7.56) unstable; urgency=medium

  * tests/crosshurd: Fix temporary directory path.
  * tests/control: Set crosshurd test as flaky: its results depends on the
    archive state, not only the installed packages.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 31 Aug 2019 01:55:46 +0200

crosshurd (1.7.55) unstable; urgency=medium

  * tests/crosshurd: Ignore kfreebsd failures for now.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 30 Aug 2019 09:30:57 +0200

crosshurd (1.7.54) unstable; urgency=medium

  * control: Set Vcs-* to salsa.debian.org
  * crosshurd: Add command-line options, add support for non-unstable
    distribution, use eatmydata when available (Closes: Bug#275355).
  * crosshurd.1: Document options.
  * tests: Run crosshurd tests in autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Aug 2019 00:23:30 +0200

crosshurd (1.7.53) unstable; urgency=medium

  * Migrate hurd & kfreebsd sources to debian-ports (Closes: Bug#933710).
  * Switch from sysvinit to sysvinit-core.
  * Switch gnumach to 1.8.
  * Support per-arch packages file, to install appropriate kfreebsd kernel
    image.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Aug 2019 01:39:59 +0200

crosshurd (1.7.52) unstable; urgency=medium

  * Migrate priority to optional.
  * control: Add Vcs-* URLs.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Oct 2018 18:24:39 +0200

crosshurd (1.7.51) unstable; urgency=medium

  [ Rodrigo Valiña Gutiérrez ]
  * Add gnumach.gz symlink for dumb update-grub scripts (Closes: Bug#825229).

  [ Samuel Thibault ]
  * Bump gnumach version to 1.7.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 03 Jun 2016 13:17:51 +0200

crosshurd (1.7.50) unstable; urgency=medium

  [ Rodrigo Valiña Gutiérrez ]
  * Avoid overwriting root files...

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 May 2016 16:29:30 +0200

crosshurd (1.7.49) unstable; urgency=medium

  * Update gnumach kernel version to 1.6.
  * compat: Bump to 9.
  * rules: Switch to pure debhelper.
  * control: Drop cdbs dep.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Feb 2016 01:01:01 +0100

crosshurd (1.7.48) unstable; urgency=medium

  * Use httpredir.debian.org instead of hardcoded ftp.de.debian.org
  * Update gnumach kernel version to 1.5.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Oct 2015 22:31:16 +0200

crosshurd (1.7.47) unstable; urgency=medium

  [ Guillem Jover ]
  * Switch from libparted0debian1 to libparted2 (Closes: Bug#757014).
  * Use dpkg-deb instead of manually extracting packages and information
    (Closes: Bug#757013).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 19 Aug 2014 19:40:28 +0200

crosshurd (1.7.46) unstable; urgency=medium

  * Really extract gnumach kernel package (Closes: Bug#750980).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Jun 2014 22:48:07 +0200

crosshurd (1.7.45) unstable; urgency=medium

  * Support xz-compressed packages.
  * Also set APT::Architectures, to fix installation from a multiarch system.
  * Bump kfreebsd kernel to 10 (Closes: Bug#746603).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 May 2014 23:07:01 +0200

crosshurd (1.7.44) unstable; urgency=low

  * Take diffutils package instead of diff (closes: Bug#670828).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 30 Jun 2012 01:04:17 -0300

crosshurd (1.7.43) unstable; urgency=low

  [ Samuel Thibault ]
  * Drop documentation about kNetBSD, since there is no such project any
    more. Keep the code, in case it gets revived sometime.
  * Install gnumach-image-1-486 instead of gnumach, according to package
    renaming.
  * Install isc-dhcp-client instead of dhcp-client.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 27 Feb 2011 15:13:30 +0100

crosshurd (1.7.42) unstable; urgency=low

  * packages/gnu: Added libparted0debian1 and libuuid1
  * makehurddir.sh: Extract libparted0debian1 package if available
    (Closes: #599565)
  * debian/control (Standards-Version): Bumped to 3.9.1.

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Oct 2010 13:15:13 +0200

crosshurd (1.7.41) unstable; urgency=low

  * packages/common: Removed grub.
  * packages/linux-gnu: Likewise.
  * packages/kfreebsd-gnu: Replaced kfreebsd-image-5-486 with
    kfreebsd-image-8-486 and removed kfreebsd-loader (Closes: #598429).

 -- Michael Banck <mbanck@debian.org>  Thu, 30 Sep 2010 18:04:42 +0200

crosshurd (1.7.40) unstable; urgency=low

  * native-install/native-install: Use bash's $OSTYPE variable to discern the
    system type.  This makes the file-system read-only test more robust as
    a working "system" command and pipes are not needed (Closes: #557422).
  * sources.list/kfreebsd-gnu: Removed no longer existing debian-ports
    `unreleased' repositories for kfreebsd-gnu (Closes: #598429).

 -- Michael Banck <mbanck@debian.org>  Tue, 28 Sep 2010 23:51:48 +0200

crosshurd (1.7.39) unstable; urgency=low

  * packages/common: Added libpam-modules and libpam-runtime.

 -- Michael Banck <mbanck@debian.org>  Tue, 13 Jul 2010 18:41:40 +0200

crosshurd (1.7.38) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/control:
    - Add ${misc:Depends}.
    - Bump debhelper build dependency to >= 7.
    - Bump Standards-Version to 3.8.4 (no change needed).
  * README.gnu: Remove documentation about the /usr -> . symlink. Fix typo.
    Do not ask for two native-install invocation, it's not needed any more.
    Explain why not all packages get installed.
  * sources.list/gnu: Add debian-ports deb-src source.
  * sources.list/kfreebsd-gnu: Replace debian-ports unstable source with
    official de mirror source.
  * crosshurd: On gnu system, default cpu to i386 (Closes: #557417).
  * native-install/native-install: Add +x to /servers/default-pager, for tmpfs.
  * functions: Remove -k option from tar, to avoid error on /bin/sh conflict
    between bash and dash.

  [ Michael Banck ]
  * README.gnu: Remove reference to Neal Walfield's installation guide and fix
    location of GNU/Hurd's sources.list file (Closes: #577992).
  * makehurddir.sh: Extract libbz2-1.0 if available, as dpkg-deb now links
    with it.
  * debian/install: Explicitly install the various sources.list and packages
    files in their directories, to prevent including .svn directories in the
    binary package by accident.

 -- Michael Banck <mbanck@debian.org>  Fri, 09 Jul 2010 17:51:46 +0200

crosshurd (1.7.37) unstable; urgency=low

  * native-install/native-install: Explicitly use bash to invoke MAKEDEV.
  * debian/compat: Bumped to 7.
  * debian/control (Uploaders): Added Samuel Thibault.

 -- Michael Banck <mbanck@debian.org>  Sun, 03 Jan 2010 23:16:31 +0100

crosshurd (1.7.36) unstable; urgency=low

  * debian/control (Maintainer): Removed Jeff Bailey, added GNU Hurd
    Maintainers.
  * packages/common: Added initscripts and insserv.
  * native-install/native-install: Unpack insserv along required packages.

 -- Michael Banck <mbanck@debian.org>  Sun, 25 Oct 2009 11:20:31 +0100

crosshurd (1.7.35) unstable; urgency=low

  * README.gnu: Added -I 128 to the mke2fs call. (Closes: #471528).
  * native-install/native-install: Removed no longer existing
    --force-auto-select option when installing base packages. (Closes:
    #533321).

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Aug 2009 15:31:44 +0200

crosshurd (1.7.34) unstable; urgency=low

  * functions (apt_config): Add Dir::Etc::Sourceparts option pointing to a
    non-existant location, to override /etc/apt/sources.list.d. (Closes:
    #439179, #543792)

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Aug 2009 15:20:34 +0200

crosshurd (1.7.33) unstable; urgency=low

  * makehurddir.sh: Really extract libpthread-stubs0 now.

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Aug 2008 01:44:34 +0200

crosshurd (1.7.32) unstable; urgency=low

  * packages/common: Removed gcc-3.3-base.
  * makehurddir.sh: Extract libpthread-stubs0, if available.
    (Closes: #493129)
  * debian/control (Standards-Version): Bumped to 3.8.0.

 -- Michael Banck <mbanck@debian.org>  Thu, 31 Jul 2008 18:46:38 +0200

crosshurd (1.7.31) unstable; urgency=low

  * functions (apt_config): Add debug::pkgproblemresolver=1 option to
    improve diagnosis output when crosshurd cannot figure out what to install
    due to broken base packages. (Closes: #491599)

 -- Michael Banck <mbanck@debian.org>  Mon, 21 Jul 2008 23:22:25 +0200

crosshurd (1.7.30) unstable; urgency=low

  * sources.list/kfreebsd-gnu: Update the commented out ftp.gnuab.org
    entry to ftp.debian-ports.org as well.
  * debian/control (Standards-Version): Bumped to 3.7.3.

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Mar 2008 17:18:55 +0100

crosshurd (1.7.29) unstable; urgency=low

  * sources.list/gnu: Update for the ftp.gnuab.org->ftp.debian-ports.org
    move.
  * sources.list/kfreebsd-gnu: Likewise.
  * sources.list/knetbsd-gnu: Likewise.

 -- Michael Banck <mbanck@debian.org>  Fri, 11 Jan 2008 19:19:35 +0100

crosshurd (1.7.28) unstable; urgency=low

  * native-install/native-install: Create /dev/hd0 on hurd-i386 as well.
  * sources.list/kfreebsd-gnu: Removed Arch: all repository from list.
  * packages/gnu: Added cardmgr-gnumach and wireless-tools-gnumach.

 -- Michael Banck <mbanck@debian.org>  Thu, 19 Jul 2007 13:50:35 +0200

crosshurd (1.7.27) unstable; urgency=low

  * packages/common: Added dhcp-client.
  * packages/gnu: Added inetutils-tools.

 -- Michael Banck <mbanck@debian.org>  Mon, 18 Jun 2007 02:17:49 +0100

crosshurd (1.7.26) unstable; urgency=medium

  [ Michael Banck ]
  * packages/common: Removed inetutils-ping and inetutils-syslogd.
  * debian/control (Build-Depends-Indep): Moved to ...
  * debian/control (Build-Depends): ... here.
  * debian/control (Standards-Version): Bumped to 3.7.2.

  [ Thadeu Lima de Souza Cascardo ]
  * makehurddir.sh: Relative paths are converted to absolute ones using
    readlink -f. (Closes: #338855)
  * debian/changelog (urgency): Set to medium, because it closes an RC bug.
  * debian/control (Maintainer): Changed address as requested by Jeff
    Bailey.

 -- Michael Banck <mbanck@debian.org>  Sat, 11 Nov 2006 17:57:12 +0100

crosshurd (1.7.25) unstable; urgency=low

  * native-install/native-install: Create com0 device on hurd-i386.
    (Closes: #345001)

 -- Michael Banck <mbanck@debian.org>  Fri, 14 Apr 2006 16:52:52 +0200

crosshurd (1.7.24) unstable; urgency=low

  * packages/common: Remove all library packages. (Closes: #333110)
  * packages/kfreebsd-i386: Remove libc0.1.
  * native-install/native-install: Applied patch by Robert Millan for
    kfreebsd-i386. (Closes: #333111)

 -- Michael Banck <mbanck@debian.org>  Fri, 17 Mar 2006 23:26:02 +0100

crosshurd (1.7.23) unstable; urgency=low

  * packages/common: Removed libreadline4.

 -- Michael Banck <mbanck@debian.org>  Thu, 16 Feb 2006 01:10:46 +0100

crosshurd (1.7.22) unstable; urgency=low

  * package/kfreebsd-gnu: Renamed kfreebsd-image-5.3-1 to
    kreebsd-image-5-486, by Robert Millan. (Closes: #331219)

 -- Michael Banck <mbanck@debian.org>  Tue,  1 Nov 2005 00:21:11 +0100

crosshurd (1.7.21) unstable; urgency=low

  * packages/common: Removed slang1. (Closes: #323579)

 -- Michael Banck <mbanck@debian.org>  Mon, 12 Sep 2005 12:54:01 +0200

crosshurd (1.7.20) unstable; urgency=low

  * packages/kfreebsd-gnu: Renamed kfreebsd5 to kfreebsd-image-5.3-1,
    by Aurelien Jarno. (Closes: #321749)
  * native-install/native-install: Make sure the real start-stop-daemon
    script is not being overwritten by the temporary /bin/true
    replacement, by Robert Millan. (Closes: #319778)

 -- Michael Banck <mbanck@debian.org>  Sun,  7 Aug 2005 15:08:31 +0200

crosshurd (1.7.19) unstable; urgency=low

  * native-install/native-install: GNU/kFreeBSD updates by Robert
    Millan. (Closes: #317438)
  * native-install/native-install: Do not echo `Priority: Required'
    for each required package during install.
  * native-install/native-install: Run shadowconfig to make sure
    /etc/shadow is setup.
  * makehurddir.sh: Create an intial /etc/passwd with only the root
    account to silence warnings during native-install when setting up
    passive translators. (Closes: #281054)
  * native-install/native-install: Do not reboot after setting up passive
    translators on GNU/Hurd, just go on with package installation.

 -- Michael Banck <mbanck@debian.org>  Tue, 12 Jul 2005 23:48:33 +0200

crosshurd (1.7.18) unstable; urgency=low

  * makehurddir.sh: Make sure the gnumach package gets extracted.
  * makehurddir.sh: Cosmetic changes to status output formatting.

 -- Michael Banck <mbanck@debian.org>  Sun, 12 Jun 2005 23:17:36 +0200

crosshurd (1.7.17) unstable; urgency=low

  * makehurddir.sh: Only extract required packages.
  * makehurddir.sh: Activate /etc/hostname, /ets/hosts and
    /etc/resolv.conf setup.
  * native-install/native-install: Install core packages first, then
    Required packages.  Configure them all, then install Base packages.
  * debian/control.in: Removed.
  * debian/control (Uploaders): Removed Robert Millan.
  * debian/rules (DEB_AUTO_UPDATE_DEBIAN_CONTROL): Removed.

 -- Michael Banck <mbanck@debian.org>  Sat, 11 Jun 2005 12:55:04 +0200

crosshurd (1.7.16) unstable; urgency=medium

  * native-install/native-install: Only copy inittab over if actually
    present. (Closes: #308391)

 -- Michael Banck <mbanck@debian.org>  Thu, 12 May 2005 00:59:57 +0200

crosshurd (1.7.15) unstable; urgency=low

  * packages/gnu: Added console-driver-xkb.

 -- Michael Banck <mbanck@debian.org>  Fri, 15 Apr 2005 23:22:00 +0200

crosshurd (1.7.14) unstable; urgency=low

  * native-install/native-install: Updated note on Hurd console startup.
  * debian/control.in: Clarify wording in long description.

 -- Michael Banck <mbanck@debian.org>  Thu, 14 Apr 2005 20:25:44 +0200

crosshurd (1.7.13) unstable; urgency=low

  * Reintroduce /usr->. symlink question, defaulting to a real /usr.

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Apr 2005 14:49:29 +0200

crosshurd (1.7.12) unstable; urgency=low

  * native-install/native-install:  Nuke hardcoded paths and totd hack.
  * packages/kfreebsd-gnu:  Nuke totd and perl (its dependency).

 -- Robert Millan <rmh@debian.org>  Tue, 22 Mar 2005 16:56:31 +0100

crosshurd (1.7.11) unstable; urgency=low

  * Use cdbs debian/control autogeneration.
    - Set DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes.
    - Move control to control.in and add some tags.

 -- Robert Millan <rmh@debian.org>  Thu,  3 Feb 2005 10:00:22 +0100

crosshurd (1.7.10) unstable; urgency=low

  * Only remount / as writable if it's known to be readonly.
    - native-install/native-install.
  * Remove /usr symlink hack (Guillem reported the system works without it).
    - crosshurd

 -- Robert Millan <rmh@debian.org>  Wed,  2 Feb 2005 01:39:37 +0100

crosshurd (1.7.9) unstable; urgency=low

  * Non-maintainer upload with maintainer permission.
  * preferences: New file. Pin unreleased over unstable.
  * debian/install: Added preferences file. Do not use absolute paths.
  * debian/control: Bump Standards-Version to 3.6.1 (no changes needed).
  * README.gnu: Updated. Remove notes about fixed bugs. Minor indentation
    fixes.

 -- Guillem Jover <guillem@debian.org>  Sat, 22 Jan 2005 14:41:52 +0100

crosshurd (1.7.8) unstable; urgency=low

  * packages/kfreebsd-gnu:  Add procps and psmisc.
  * native-install/native-install:  Add a /proc entry in fstab for systems that
    support it.

 -- Robert Millan <rmh@debian.org>  Sun, 16 Jan 2005 07:29:24 +0100

crosshurd (1.7.7) unstable; urgency=low

  * packages/kfreebsd-gnu:  s/perl-modules/perl/g.
  * native-install/native-install:  Add some hacks to make it more
    user-friendly.

 -- Robert Millan <rmh@debian.org>  Tue, 11 Jan 2005 21:36:39 +0100

crosshurd (1.7.6) unstable; urgency=low

  * native-install/native-install:  Ensure / is writable on all systems not
    only GNU.
  * packages/kfreebsd-gnu:  Nuke libpth2 and add perl-modules (needed by totd).

 -- Robert Millan <rmh@debian.org>  Mon, 10 Jan 2005 00:01:39 +0100

crosshurd (1.7.5) unstable; urgency=low

  * crosshurd: Clarify wording. (Closes: #273239)
  * native-install/native-install: Point /hurd/crash symlink to
    crash-kill instead of crash-suspend. (Closes: #271783)

 -- Michael Banck <mbanck@debian.org>  Sun, 28 Nov 2004 01:07:10 +0100

crosshurd (1.7.4) unstable; urgency=low

  * debian/control (Uploaders): Added myself.
  * native-install/native-install: Updated note on Hurd console startup.
  * packages/common: Added grub.

 -- Michael Banck <mbanck@debian.org>  Sun, 28 Nov 2004 00:39:34 +0100

crosshurd (1.7.3) unstable; urgency=low

  * Work around Glibc resolver bug on kfreebsd-gnu.
    - packages/kfreebsd-gnu: Add totd.
    - native-install/native-install: Setup "::1" as nameserver in
    /etc/resolv.conf

 -- Robert Millan <rmh@debian.org>  Thu, 23 Sep 2004 14:20:48 +0200

crosshurd (1.7.2) unstable; urgency=low

  * makehurddir.sh: s/setup_passive_translators/gnu_&/g.  (Closes: #267641)

 -- Robert Millan <rmh@debian.org>  Mon, 23 Aug 2004 21:05:06 +0200

crosshurd (1.7.1) unstable; urgency=low

  * native-install/native-install:  Add a note about the console server for
    gnu.  Thanks again Michael. (Closes: #266616)

 -- Robert Millan <rmh@debian.org>  Wed, 18 Aug 2004 16:17:04 +0200

crosshurd (1.7.0) unstable; urgency=low

  * Use extended attributes when crossinstalling gnu from linux-gnu.
    Thanks Michael Banck. (Closes: #266499)
    - functions
    - makehurddir.sh

 -- Robert Millan <rmh@debian.org>  Wed, 18 Aug 2004 04:03:34 +0200

crosshurd (1.6.9) unstable; urgency=low

  * Reverting the change.  The interactive UI is not compatible with the
    debootstrap interface, so wrapping it doesn't work well.

 -- Robert Millan <rmh@debian.org>  Mon,  9 Aug 2004 21:31:53 +0200

crosshurd (1.6.8) unstable; urgency=low

  * Add debootstrap-like wrapper.

 -- Robert Millan <rmh@debian.org>  Mon,  9 Aug 2004 19:13:01 +0200

crosshurd (1.6.7) unstable; urgency=low

  * native-install/native-install (GNU/kFreeBSD): Hack fstab generation for
    installs from LiveCD (s/cd9660/ufs/g, etc).
  * packages/kfreebsd-gnu: Add kfreebsd-loader (so that kfreebsd5 can stop
    depending on it).

 -- Robert Millan <rmh@debian.org>  Wed, 30 Jun 2004 17:23:02 +0200

crosshurd (1.6.6) unstable; urgency=low

  * native-install/native-install (GNU/kFreeBSD): In "route" call in
    auto-generated /etc/network/interfaces, redirect stdout to /dev/null.

 -- Robert Millan <rmh@debian.org>  Tue, 29 Jun 2004 22:27:45 +0200

crosshurd (1.6.5) unstable; urgency=low

  * native-install/native-install (GNU/kFreeBSD): Fix syntax error (sigh) and
    generate /etc/hosts.

 -- Robert Millan <rmh@debian.org>  Tue, 29 Jun 2004 20:31:18 +0200

crosshurd (1.6.4) unstable; urgency=low

  * native-install/native-install: For GNU/kFreeBSD, set TERM=cons25 and
    generate /etc/network/interfaces unconditionaly.

 -- Robert Millan <rmh@debian.org>  Mon, 28 Jun 2004 17:09:35 +0200

crosshurd (1.6.3) unstable; urgency=low

  * makehurddir.sh: Fix generation of deb list. (Closes: #253889)

 -- Robert Millan <rmh@debian.org>  Sun, 13 Jun 2004 17:19:00 +0200

crosshurd (1.6.2) unstable; urgency=low

  * native-install/native-install: Fix pflocal handling. Thanks to
    Guillem Jover and Michael Banck. (Closes: #251657)
  * functions: Use default values for /etc/{hostname,resolv.conf}.
  * makehurddir.sh: Extract all downloaded debs, not only the ones in
    package list. (Closes: #253533)

 -- Robert Millan <rmh@debian.org>  Thu, 10 Jun 2004 17:00:45 +0200

crosshurd (1.6.0) unstable; urgency=low

  * The "i'm so lame" release.
  * native-install/native-install
    - Don't remove the debs after install!! What if something breaks after
    the .deb part?! Then you want to re-run the buttfucking script!!?!?
    Jeroen, please lart me about this.
    - Add the missing "fi" in line 175. (sigh)
    - Hack in a dummy start-stop-daemon so we don't end up with stale
      daemons after running the script. (Closes: #246691)

 -- Robert Millan <rmh@debian.org>  Sun, 23 May 2004 18:47:24 +0200

crosshurd (1.5.9) unstable; urgency=low

  * packages/kfreebsd-gnu: Enable kfreebsd5.
  * native-install/native-install: Remove route disabling command for
    GNU/kFreeBSD's hacked /etc/network/interfaces.

 -- Robert Millan <rmh@debian.org>  Sat, 22 May 2004 20:57:28 +0200

crosshurd (1.5.8) unstable; urgency=low

  * native-install/native-install (GNU/kFreeBSD): Generate
    /etc/network/interfaces with gateway hooks instead of /root/setup_gateway.
  * packages/kfreebsd-gnu: Add ufsutils.

 -- Robert Millan <rmh@debian.org>  Fri, 30 Apr 2004 20:13:50 +0200

crosshurd (1.5.7) unstable; urgency=low

  * Misc GNU fixes. (part of #246691)
    - native-install/native-install: Pass -k to settrans on /servers/socket/1.
    - native-install/native-install: Copy {passwd,group}.master into /etc.
    - packages/gnu: Nuke gcc-*-base (already in packages/common).

 -- Robert Millan <rmh@debian.org>  Fri, 30 Apr 2004 16:28:13 +0200

crosshurd (1.5.6) unstable; urgency=low

  * Fix handling of /dev on GNU/kFreeBSD.

 -- Robert Millan <rmh@debian.org>  Thu, 29 Apr 2004 20:54:04 +0200

crosshurd (1.5.5) unstable; urgency=low

  * native-install/native-install: Reestructuring and cleanification work.
    Most notably:
    - On GNU/kFreeBSD, mount /dev if it wasn't already.
    - Remove .deb files in apt's cache after installing them.

 -- Robert Millan <rmh@debian.org>  Wed, 31 Mar 2004 23:45:46 +0200

crosshurd (1.5.4) unstable; urgency=low

  * sources.list/kfreebsd-gnu: Remove evil-hacks line.
  * Make Marcus happy. (Closes: #235999)
    - packages/*: Move sysv-rc away from common.
    - native-install/native-install: Set TERM=mach on GNU.
  * README: Clarify how this doc is specific to GNU/Hurd and rename to
    README.gnu. (Closes: #229469)
    - debian/docs: Do the obvious.
  * native-install/native-install: Re-write Debian setup section. It now
    fully configures packages and creates /etc/passwd and friends.
    (Closes: #217626)
  * Misc GNU/k*BSD fixes.
    - native-install/native-install: Do stuff.
    - packages/kfreebsd-gnu: Do more stuff.

 -- Robert Millan <rmh@debian.org>  Fri, 26 Mar 2004 22:33:30 +0100

crosshurd (1.5.3) unstable; urgency=low

  * sources.list/kfreebsd-gnu: s/khazad/evil-hacks/g
  * packages/kfreebsd-gnu: Nuked libc1 and zlib1g-dev.

 -- Robert Millan <rmh@debian.org>  Mon,  2 Feb 2004 21:12:41 +0100

crosshurd (1.5.2) unstable; urgency=low

  * crosshurd: Improved user-friendship in type input.
  * debian/control: Rewrite description.

 -- Robert Millan <rmh@debian.org>  Sat, 10 Jan 2004 09:48:23 +0100

crosshurd (1.5.1) unstable; urgency=low

  * native-install/native-install: Fix GNU/Hurd bug. Thanks David D. Smith
    (Closes: #222914)

 -- Robert Millan <rmh@debian.org>  Wed,  7 Jan 2004 21:37:31 +0100

crosshurd (1.5) unstable; urgency=low

  * Ported to GNU/Linux (what the heck).
    - native-install/native-install: Misc GNU/Linux setup
    (/dev, /proc, /etc/fstab, etc).
    - packages/linux: New.
    - sources.list/linux: New.
  * native-install/native-install (fstab): Handle swap.
  * packages/common: Add dialog.

 -- Robert Millan <rmh@debian.org>  Sat,  1 Nov 2003 20:26:33 +0100

crosshurd (1.4.4) unstable; urgency=low

  * native-install/native-install (setup_net): Leave only gateway stuff,
    since the rest is now handled by sysvinit. Rename to "setup_gateway".

 -- Robert Millan <rmh@debian.org>  Sat,  1 Nov 2003 19:17:39 +0100

crosshurd (1.4.3) unstable; urgency=low

  * sources.list/kfreebsd-gnu: Update khazad line.

 -- Robert Millan <rmh@debian.org>  Sat,  1 Nov 2003 18:26:09 +0100

crosshurd (1.4.2) unstable; urgency=low

  * Fixes in dpkg-architecture handling.
    - makehurddir.sh: Move dpkg-architecture calls to ..
    - functions: .. here.
    - functions: Don't forward dpkg-architecture error output to /dev/null.
  * GNU/KFreeBSD stuff.
    - sources.list/kfreebsd-gnu: Add line for old packages (khazad directory).
    - native-install/native-install: Set links to /libfbsd to workaround bug
      in freebsd-libc5 package.

 -- Robert Millan <rmh@debian.org>  Sat,  1 Nov 2003 13:20:46 +0100

crosshurd (1.4.1) unstable; urgency=low

  * Enable shadow passwords (at last!).
    - native-install/native-install: Issue "dpkg-reconfigure passwd".
  * More GNU/KFreeBSD fixes.
    - packages/kfreebsd-gnu: Add login.
    - native-install/native-install: Create /root/setup_net for network setup.
    - crosshurd: Commented out lost+found check. It's ext2fs-specific and
      impractical to build tarballs anyway.
  * Ported to GNU/KNetBSD.
    - packages/knetbsd-gnu: New. With libc1 only (Not self-hosting yet).
    - sources.list/knetbsd-gnu: New. Copied from sources.list/kfreebsd-gnu.

 -- Robert Millan <rmh@debian.org>  Fri, 31 Oct 2003 20:58:35 +0100

crosshurd (1.4) unstable; urgency=low

  * Ported to GNU/KFreeBSD (misc changes).
  * functions (apt_fetch_deb): Pass -y to apt-get, for unattended install.

 -- Robert Millan <rmh@debian.org>  Wed, 29 Oct 2003 19:48:25 +0100

crosshurd (1.3.3) unstable; urgency=low

  * debian/control (Uploaders): Add myself.
  * native-install: Move into..
  * native-install/native-install: ..here. Move changelog into..
  * native-install/ChangeLog.old: ..here.
  * native-install/native-install: s/mawk/gawk/g (Fix install-time failure)

 -- Robert Millan <rmh@debian.org>  Wed, 22 Oct 2003 22:06:40 +0200

crosshurd (1.3.2) unstable; urgency=low

  * NMU
  * sources.list: "s/unstable/unreleased/g" for ftp.gnuab.org
  * packages: Actualy remove mawk. (Really closes: #200652)

 -- Robert Millan <rmh@debian.org>  Mon, 20 Oct 2003 02:27:04 +0200

crosshurd (1.3.1) unstable; urgency=low

  * NMU (with maintainer's permission).
  * packages: Fix inetutils names. (Closes: #203086)
  * packages: Add util-linux/bsdutils, remove mawk. (Closes: #200652)
  * sources.list: Replace alpha.gnu.org with ftp.gnuab.org. (Closes: #207387)
  * makehurddir.sh: Allow comments (#) in package list. (Closes: #215567)
  * makehurddir.sh: Set /libexec/runsystem (from Marcus' cross-hurd).

 -- Robert Millan <rmh@debian.org>  Mon, 13 Oct 2003 23:17:33 +0000

crosshurd (1.3) unstable; urgency=low

  The "Happy Canada Day!" release.

  * Use http://alpha.gnu.org instead of ftp://alpha.gnu.org in the
    sources.list.  This works around an apt bug.

  * Read package list from /etc/crosshurd/packages

 -- Jeff Bailey <jbailey@nisa.net>  Tue,  1 Jul 2003 09:54:28 -0400

crosshurd (1.2) unstable; urgency=low

  The "Read what the bug report says, Jeff." release.

  * 194968 didn't say to build-dep on dpkg-dev.  It says to depend on
  it.  *Sigh*

 -- Jeff Bailey <jbailey@nisa.net>  Wed, 11 Jun 2003 21:57:02 -0400

crosshurd (1.1) unstable; urgency=low

  The "I don't know what scares me more.  That people are using this, or
  that people I have never heard of are using this..."  release.

  * Switch to cdbs
  * Add build-dep on dpkg-dev (Closes: #194968)
  * README: Refer to Neal Walfield's installation guide (Closes: #195324)
    (Thanks to Petri Koistinen <petri.koistinen@iki.fi>)
  * Use /etc/crosshurd/preferences, not /etc/apt/preferences.
    (Thanks to Serge Wroclawski <serge@tux.org>)

 -- Jeff Bailey <jbailey@nisa.net>  Wed, 11 Jun 2003 21:26:17 -0400

crosshurd (1.0) unstable; urgency=low

  * First upload to Debian.  (Closes: #192560)
  * Add gcc-3.3-base
  * Fail install if can't get packages files.

 -- Jeff Bailey <jbailey@nisa.net>  Fri,  9 May 2003 16:59:09 -0400

crosshurd (0.99.3) unstable; urgency=low

  * Make it a native package.
  * Fail if apt_fetch_debs fails.
  (Thanks to Michael Banks)

 -- Jeff Bailey <jbailey@nisa.net>  Tue,  6 May 2003 18:11:14 -0400

crosshurd (0.99.2-1) unstable; urgency=low

  * Quote all uses of the directory name, in case they have spaces.
  (Thanks to James Morrison)

 -- Jeff Bailey <jbailey@nisa.net>  Tue,  6 May 2003 18:11:14 -0400

crosshurd (0.99.1-1) unstable; urgency=low

  * Make sure native-install actually gets installed.
  * Clean up sources.list
  * Add THANKS file
  * Add notes about current errors that may pop up in README
  * Add man page

  (Thanks to Jeroen Dekkers)

 -- Jeff Bailey <jbailey@nisa.net>  Tue,  6 May 2003 16:24:50 -0400

crosshurd (0.99.0-1) unstable; urgency=low

  * Initial Release.

 -- Jeff Bailey <jbailey@nisa.net>  Tue,  6 May 2003 13:40:04 -0400
